std::out_of_range Class Reference
Diagnostics » Exceptions
Inheritance diagram for std::out_of_range:
[legend]

## Public Member Functions

| out_of_range (const char *) _GLIBCXX_TXN_SAFE
| out_of_range (const string &__arg) _GLIBCXX_TXN_SAFE
virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Detailed Description

This represents an argument whose value is not within the expected range (e.g., boundary checks in basic_string).

Definition at line 182 of file stdexcept.

The documentation for this class was generated from the following file:

- stdexcept